/**
 * @author Andreas Griesmayer
 * Created on Aug 19, 2003
 */
package isac.session;

import isac.wsdialog.IWorksheetDialog;
import isac.wsdialog.WorksheetDialog;

import java.rmi.RemoteException;
import java.util.HashMap;
import java.util.Map;
import java.util.TreeMap;
import java.util.Vector;

import org.apache.log4j.Logger;
import org.apache.xmlrpc.XmlRpcHandler;

/**
 * @author Andreas Griesmayer
 */
public class WSDHandler {

    static Logger logger_ = Logger.getLogger(SessionManager.class.getName());

    private Map storage_ = new HashMap();

    private int counter_ = 0;

    /**
     * WN050818 this method, openWorksheetDialog and getWorksheetDialog should
     * be redesigned since WorksheetDialog#worksheet_id_ has been introduced.
     * 
     * @param session_dialog
     * @param session_id
     *            the id of the WindowApplication set be the SessionManager
     * @return the id of the WorksheetDialog set be the SessionManager.
     */
    protected String newWorksheetDialog(ISessionManager session_dialog,
            String session_id) {
        IWorksheetDialog dg = null;
        String wsd_id = session_id + "_" + counter_++;
        logger_
                .fatal(" SM->DG: newWorksheetDialog(localhost, isac/xmldata/users/"
                        + session_id + ")");
        try {
            dg = new WorksheetDialog("localhost", session_dialog, session_id,
                    wsd_id);
        } catch (RemoteException e) {
            e.printStackTrace();
        }
        storage_.put(wsd_id, dg);

        return wsd_id;
    }

    protected IWorksheetDialog getWorksheetDialog(String dg_id) {
        return (IWorksheetDialog) storage_.get(dg_id);
    }

}