/*
 * @author Walther Neuper, member of the ISAC-team, Copyright (c) 2005 by
 * Walther Neuper created Jul 11, 2005 11:17:27 AM Institute for
 * Softwaretechnology, Graz University of Technology, Austria.
 * 
 * Use is subject to PGPL license terms.
 */
package isac.useractions;

/**
 * @author neuper
 * 
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public class UIAction implements IUIAction {

    private int context_;

    private int action_;

    public int getContext() {
        return context_;
    }

    public int getAction() {
        return action_;
    }

    public UIAction(int action, int context) {
        action_ = action;
        context_ = context;
    }

    public String getLabel() {
        //FIXXME: find better way to support internationalization, labeling of
        // buttons
        switch (action_) {
        case UI_SPECIFY_CALCULATE_ALL:
            return "auto";//WN050803 distinguish "AUTO" during testphase
        case UI_SPECIFY_COMPLETE_STEPWISE:
            return "next";//WN050803 distinguish "NEXT" during testphase
        case UI_SPECIFY_CHECK_CALCHEAD:
            return "Check";
        case UI_SPECIFY_COMPLETE_CALCHEAD:
            return "Complete";
        case UI_SPECIFY_RESET:
            return "Reset";
        case UI_SPECIFY_TO_SOLVE:
            return "Start Solving";
        case UI_SPECIFY_CLOSE_CALCHEAD:
            return "Close";
            
        case UI_SOLVE_CALCULATE_ALL:
            return "AUTO";
        case UI_SOLVE_CALCULATE_1:
            return "NEXT";
        case UI_SOLVE_GET_APPLICABLE_TACTICS:
            return "Applicable tactics";
        case UI_SOLVE_SHOW_ASSUMPTIONS:
            return "Assumptions";
        case UI_SOLVE_TACTIC_APPLIED:
            return "Tactic Applied";
        case UI_SOLVE_SHOW_INTERMEDIATE_STEPS:
            return "Intermediate Steps";
        case UI_SOLVE_SHOW_CALCHEAD:
            return "Calchead";
            
        case UI_PROBLEMBROWSER_AUTO_MATCH_OFF:
            return "Auto Match OFF";
        case UI_PROBLEMBROWSER_AUTO_MATCH_ON:
            return "Auto Match ON";
        case UI_PROBLEMBROWSER_PROBLEM_TO_WORKSHEET:
            return "To Worksheet";
        case UI_PROBLEMBROWSER_REFINE:
            return "Try Refine";
        }
        return "";
    }

}